# Overtest 🚀

**Overtest** is an educational software package for studying, teaching and holding competitions in algorithmic and sports programming. To verify user solutions, the system compiles their source code, and then repeatedly runs the resulting program on a given set of tests, with hard restrictions on the resources used and execution time.

Unlike other systems of this type, Overtest focuses on the long-term learning process, not just on competitions, thus providing programming teachers with powerful tools for their daily work. Also, Overtest is a cross-platform software, the behavior of which is the same for both GNU/Linux-based distributions and Windows. This achieved by using platform-dependent components and capabilities that connect to the core of the system only when needed, during its operation process.

**💬 You can get more information about the project on [its official website](https://overtest.sirkadirov.com).**


